/* 
 * File:   can.h
 * Author: toffi
 *
 * Created on May 29, 2018, 7:30 PM
 */

#ifndef CAN_H
#define	CAN_H

#ifdef	__cplusplus
extern "C" {
#endif

typedef struct __attribute__((packed))
{
    unsigned IDE:1;
    unsigned SRR:1;
    unsigned SID:11;
    unsigned unused_header:3;
    unsigned int unused_EID1;
    unsigned DLC:4;
    unsigned unused_null:5;
    unsigned RTR:1;
    unsigned unused_EID2:6;
    union
    {
        unsigned int WORD0;
        struct
        {
            unsigned char BYTE0;
            unsigned char BYTE1;
        };
    };
    union
    {
        unsigned int WORD1;
        struct
        {
            unsigned char BYTE2;
            unsigned char BYTE3;
        };
    };
    union
    {
        unsigned int WORD2;
        struct
        {
            unsigned char BYTE4;
            unsigned char BYTE5;
        };
    };
    union
    {
        unsigned int WORD3;
        struct
        {
            unsigned char BYTE6;
            unsigned char BYTE7;
        };
    };
    unsigned int unused_FLHIT;
} CAN_MESSAGE_T;


void canInit(unsigned short ownID);
    
int canSendMessage(unsigned char buffer, CAN_MESSAGE_T* message);

#ifdef	__cplusplus
}
#endif

#endif	/* CAN_H */

