/* 
 * File:   pwm.h
 * Author: toffi
 *
 * Created on May 29, 2018, 1:00 AM
 */

#ifndef PWM_H
#define	PWM_H

#ifdef	__cplusplus
extern "C" {
#endif

void pwmInit(unsigned int resolution, unsigned int clockdiv);
// resolution is the duty cycle / resolution of the PWM, max = 0xFFFF
// clockdiv is the clock divider:
// divides by 2^(clockdiv+1), maximum is 7 -> divide by 64

void pwmSetDutyCycle(unsigned int dutycycle);


#ifdef	__cplusplus
}
#endif

#endif	/* PWM_H */

