#include <xc.h>
#include "led.h"

void setLED(unsigned char led, unsigned char state)
{
    switch(led)
    {
        case RED:
            LATAbits.LATA1 = state;
            break;
        case GREEN:
            LATBbits.LATB0 = state;
            break;
        case BLUE:
            LATBbits.LATB1 = state;
            break;
        case YELLOW:
            LATBbits.LATB0 = state;
            LATAbits.LATA1 = state;
            break;
        case WHITE:
            LATAbits.LATA1 = state;
            LATBbits.LATB0 = state;
            LATBbits.LATB1 = state;
    }
}
