/* 
 * File:   sw_config.h
 * Author: toffi
 *
 * Created on April 16, 2018, 11:53 PM
 */

#ifndef SW_CONFIG_H
#define	SW_CONFIG_H

#ifdef	__cplusplus
extern "C" {
#endif

// This sets which axis of the machine this motorboard is
// Value can be set from 0 to 15
#define OWN_AXIS_NUMBER 1

// If FEEDBACK_EXISTS is defined, the software assumes that some kind
// of rotary encoder is connected and regulates speed
// if not, any speed command is blindly set as a PWM duty cycle
#define FEEDBACK_EXISTS
// If FEEDBACK_INDEX is defined, the software uses an index pulse from the
// encoder to get a more precise zero when homing
#define FEEDBACK_INDEX
    
// The following two defines switch on usage of the hardware endstops
#define ENDSTOP_MINUS
#define ENDSTOP_PLUS


#ifdef	__cplusplus
}
#endif

#endif	/* SW_CONFIG_H */

